libsigc++: sigc::lambda_group2< T_functor, T_type1, T_type2 > Struct Template Reference

libsigc++ 2.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::lambda_group2< T_functor, T_type1, T_type2 > Struct Template Reference
Lambdas

lambda_group2 wraps a functor and rebuilds its arguments from 2 lambda expressions. More...

`#include <sigc++/adaptors/lambda/group.h>`

Inheritance diagram for sigc::lambda_group2< T_functor, T_type1, T_type2 >:
[legend]

## Public Types
typedef adaptor_trait < T_functor >::adaptor_type | functor_type
typedef functor_trait < T_functor >::result_type | result_type
typedef lambda< T_type1 > ::lambda_type | value1_type
typedef lambda< T_type2 > ::lambda_type | value2_type

## Public Member Functions
| lambda_group2 (typename type_trait< T_functor >::take _A_func, typename type_trait< T_type1 >::take _A_1, typename type_trait< T_type2 >::take _A_2)
result_type | operator() () const
template<class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_1) const
template<class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1 , class T_arg2 , class T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const

## Public Attributes
functor_type | func_
value1_type | value1_
value2_type | value2_

## Detailed Description

### template<class T_functor, class T_type1, class T_type2>
struct sigc::lambda_group2< T_functor, T_type1, T_type2 >

lambda_group2 wraps a functor and rebuilds its arguments from 2 lambda expressions.

Use the convenience function group() to create an instance of lambda_group2.

Deprecated:
  Use C++11 lambda expressions or std::bind() instead.

## Member Typedef Documentation

template <class T_functor , class T_type1 , class T_type2 >

typedef adaptor_trait<T_functor>::adaptor_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::functor_type

template <class T_functor , class T_type1 , class T_type2 >

typedef functor_trait<T_functor>::result_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::result_type

template <class T_functor , class T_type1 , class T_type2 >

typedef lambda<T_type1>::lambda_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::value1_type

template <class T_functor , class T_type1 , class T_type2 >

typedef lambda<T_type2>::lambda_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::value2_type

## Constructor & Destructor Documentation

template <class T_functor , class T_type1 , class T_type2 >

sigc::lambda_group2< T_functor, T_type1, T_type2 >::lambda_group2 | ( | typename type_trait< T_functor >::take | _A_func,
|  | typename type_trait< T_type1 >::take | _A_1,
|  | typename type_trait< T_type2 >::take | _A_2
| ) |  |
| inline

## Member Function Documentation

template <class T_functor , class T_type1 , class T_type2 >

result_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( |  | ) | const

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 >

deduce_result_type<T_arg1>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1 | ) | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 >

deduce_result_type<T_arg1, T_arg2>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) |  | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 , class T_arg3 >

deduce_result_type<T_arg1, T_arg2, T_arg3>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) |  | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) |  | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) |  | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) |  | const
| inline

template <class T_functor , class T_type1 , class T_type2 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type sigc::lambda_group2< T_functor, T_type1, T_type2 >::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) |  | const
| inline

## Member Data Documentation

template <class T_functor , class T_type1 , class T_type2 >

functor_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::func_
| mutable

template <class T_functor , class T_type1 , class T_type2 >

value1_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::value1_

template <class T_functor , class T_type1 , class T_type2 >

value2_type sigc::lambda_group2< T_functor, T_type1, T_type2 >::value2_